<?xml version="1.0"?>
<cfsSimulation xmlns="http://www.cfs++.org/simulation"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.cfs++.org/simulation 
    file:/home/lukas/Devel/CFS_SRC/CFS/share/xml/CFS-Simulation/CFS.xsd">
    <!-- file:/home/kroppert/Devel/CFS_SRC/latest_trunkGit/CFS/share/xml/CFS-Simulation/CFS.xsd"> -->
    
  <documentation>
    <title>Energy based hysteresis 2d example - finger electrode </title>
    <authors>
        <author>kroppert</author>
    </authors>
    <date>2022-06-30</date>
    <keywords>
        <keyword>magneticScalar</keyword>
        <keyword>hysteresis</keyword>
    </keywords>
    <references></references>
    <isVerified>no</isVerified>
    <description> 2d example of magnetic scalar potential PDE in Psi formulation
                  with energy based hysteresis. The model is excitated via Dirichlet
                  BC's and the geometry is chosen such that there are a lot of re-entrant
                  corners
     </description>
  </documentation>

  <fileFormats>
    <input>
    	<hdf5 fileName="EBVecHyst_2dfingerElectrode.h5ref"/>
    </input>

    <output>
      <hdf5/>
      <text  id="txt"/>
    </output>
    <materialData file="mat.xml" format="xml"/>
  </fileFormats>

  <domain geometryType="plane">
    <regionList>
      <region name="S_probe" material="iron"/>
    </regionList>
  </domain>

  <sequenceStep index="1">
	<analysis>
      <transient>
        <numSteps>4</numSteps>
        <deltaT>0.1</deltaT>
      </transient>
	</analysis>
  <pdeList>
    <magnetic formulation="Psi">
      <regionList>
        <!-- <region name="S_probe"/> -->
        <region name="S_probe" nonLinIds="perm"/>       
      </regionList>

      <nonLinList>
        <permeability id="perm" model="EBHysteresisModel" />
      </nonLinList>

      <bcsAndLoads>
        <potential name="S_out" value="0.0"/>
        <potential name="S_in" value="2000*sin(t)" />
      </bcsAndLoads>
   
      <storeResults>
        <nodeResult type="magPotential">
          <allRegions/>
        </nodeResult>

        <elemResult type="magFieldIntensity">
          <allRegions/>
        </elemResult>
        
        <elemResult type="magFluxDensity">
          <allRegions/>
        </elemResult>
        
        <!-- <elemResult type="magElemPermeability">
          <allRegions  outputIds="txt"/>
        </elemResult> -->
        
      </storeResults>
    </magnetic>
  </pdeList>

	<linearSystems>
      <system>
        <solutionStrategy>
            <standard>
                <nonLinear logging="yes" method="fixPoint" >
                            <lineSearch type="Armijo"/>
                            <incStopCrit> 1e-3</incStopCrit>
                            <resStopCrit> 1e-3</resStopCrit>
                            <maxNumIters>100</maxNumIters>
                            <abortOnMaxNumIters>yes</abortOnMaxNumIters>
                </nonLinear>
            </standard>
        </solutionStrategy>
      </system>
    </linearSystems>
    
  </sequenceStep>
</cfsSimulation>
